Bug 246286 - Review Request: xcb-proto - XCB protocol descriptions
Review Request: xcb-proto - XCB protocol descriptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 16:06 EDT by Adam Jackson
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 11:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-06-29 16:06:11 EDT
Spec URL: http://people.redhat.com/ajackson/xcb-proto.spec
SRPM URL: http://people.redhat.com/ajackson/xcb-proto-1.0-1.fc8.src.rpm

Description:
xcb-proto contains XML descriptions of the core X11 protocol and many of its extensions.  These descriptions are used to generate protocol bindings for several languages including C, ObjC, and Haskell.
Comment 2 Jason Tibbitts 2007-06-29 18:00:47 EDT
I'm going to treat this as a development package, since that's really what it
is.  Thus the only rpmlint complaint:
  W: xcb-proto devel-file-in-non-devel-package /usr/share/pkgconfig/xcb-proto.pc
is not problematic.

It might be nice to define XCB in the description as a courtesy to those who
might stumble across this package.

Nothing seems to own /usr/share/xcb.  That's the only real issue I see.

* source files match upstream:
   df3ce807139957a9d3bd196a6eb5fad1d04af079d47b0ec36502911520b84e08  
   xcb-proto-1.0.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   xcb-proto = 1.0-1.fc8
  =
   pkgconfig
* %check is not present; there's nothing to test.
X doesn't own /usr/share/scb
* doesn't own any directories it shouldn't.
* no duplicates in %files.
 file permissions are appropriate.
* no scriptlets present.
* no code, but acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Adam Jackson 2007-07-02 10:16:54 EDT
Updated spec and srpm in the same place as before.  Changes:

- update Description to be informative
- document the motivation for the --libdir=%{_datadir} hack
- add %dir %{_datadir}/xcb
Comment 4 Jason Tibbitts 2007-07-02 23:14:12 EDT
OK, this looks good to me.

APPROVED
Comment 5 Adam Jackson 2007-07-06 18:52:45 EDT
New Package CVS Request
=======================
Package Name: xcb-proto
Short Description: XCB protocol descriptions
Owners: ajackson@redhat.com
Branches: 
InitialCC: 
Comment 6 Kevin Fenzi 2007-07-06 18:59:20 EDT
cvs done.
Comment 7 Adam Jackson 2007-07-09 11:31:56 EDT
Imported and built.  Thanks all!
Comment 8 Adam Jackson 2007-11-12 12:09:42 EST
Package Change Request
======================
Package Name: xcb-proto
New Branches: F-7
Comment 9 Kevin Fenzi 2007-11-12 12:34:50 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.